Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.beans.factory
[Java] Class UrlMappingFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.codehaus.groovy.grails.beans.factory.UrlMappingFactoryBean

All Implemented Interfaces:
  ApplicationContextAware

    @SuppressWarnings({"unchecked","rawtypes"})
    public class UrlMappingFactoryBean
    extends AbstractFactoryBean

A factory bean that creates the URL mappings, checking if there is a bean called urlMap in the ctx and merging that with the mappings set explicitly on this bean.

Authors:
  Graeme Rocher

Since:
  0.3

Method Summary
`protected java.util.Map` | `createInstance()`
`java.lang.Class` | `getObjectType()`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setMappings(java.util.Map mappings)`

Method Detail

### createInstance

    @Override
    protected java.util.Map createInstance()

### getObjectType

    @Override
    public java.lang.Class getObjectType()

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

### setMappings

    public void setMappings(java.util.Map mappings)

Groovy Documentation